# Uses of Class
org.codehaus.janino.Java.TryStatement

Packages that use Java.TryStatement
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.TryStatement in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.TryStatement
Modifier and Type
Method
Description
`void`
Java.CatchClause.`setEnclosingTryStatement(Java.TryStatement enclosingTryStatement)`
Links this CATCH clause to the enclosing TRY statement.
`void`
Java.TryStatement.LocalVariableDeclaratorResource.`setEnclosingTryStatement(Java.TryStatement ts)`
`abstract void`
Java.TryStatement.Resource.`setEnclosingTryStatement(Java.TryStatement tryStatement)`
Sets the enclosing scope for this object and all subordinate `Java.TryStatement.Resource` objects.
`void`
Java.TryStatement.VariableAccessResource.`setEnclosingTryStatement(Java.TryStatement ts)`
`R`
Visitor.BlockStatementVisitor.`visitTryStatement(Java.TryStatement ts)`
Invoked by `accept(Visitor.BlockStatementVisitor)`

## Uses of Java.TryStatement in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.TryStatement
Modifier and Type
Method
Description
`Java.BlockStatement`
DeepCopier.`copyTryStatement(Java.TryStatement ts)`
`void`
AbstractTraverser.`traverseTryStatement(Java.TryStatement ts)`
`void`
Traverser.`traverseTryStatement(Java.TryStatement ts)`